#
# spec file for package caja-dropbox
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.20
Name:           caja-dropbox
Version:        1.20.0
Release:        lp150.1.1
Summary:        Dropbox client integrated into Caja
License:        GPL-3.0-or-later
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE caja-dropbox_no-dropbox-bin.patch sor.alexei@meowr.ru -- Strip dropbox binary installation.
Patch0:         caja-dropbox_no-dropbox-bin.patch
# PATCH-FEATURE-OPENSUSE caja-dropbox_glib-2.48.patch -- Restore GLib 2.48 support.
Patch1:         caja-dropbox_glib-2.48.patch
BuildRequires:  hicolor-icon-theme
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0) >= 2.48
BuildRequires:  pkgconfig(libcaja-extension) >= %{_version}

%description
Dropbox is a proprietary service that lets one bring photos,
documents, and videos anywhere and share them easily.

This package integrates Dropbox seamlessly into Caja.

%package -n caja-extension-dropbox
Summary:        Dropbox client integrated into Caja
Group:          System/GUI/Other
Requires:       caja >= %{_version}
Requires:       dropbox
# caja-dropbox was last used in openSUSE Leap 42.1.
Provides:       caja-dropbox = %{version}
Obsoletes:      caja-dropbox < %{version}

%description -n caja-extension-dropbox
Dropbox is a proprietary service that lets one bring photos,
documents, and videos anywhere and share them easily.

This package integrates Dropbox seamlessly into Caja.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
%suse_update_desktop_file -r caja-dropbox Network FileTransfer

%if 0%{?suse_version} < 1500
%post -n caja-extension-dropbox
%desktop_database_post
%icon_theme_cache_post

%postun -n caja-extension-dropbox
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -n caja-extension-dropbox
%if 0%{?suse_version} >= 1500
%license COPYING
%else
%doc COPYING
%endif
%doc AUTHORS NEWS README
%{_libdir}/caja/extensions-2.0/libcaja-dropbox.*

%changelog
* Fri Mar  9 2018 sor.alexei@meowr.ru
- Update to version 1.20.0:
  * Require GLib 2.50.
- Add caja-dropbox_glib-2.48.patch -- Restore GLib 2.48 support.
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * NEWS: Use consistent, project wide, markdown-like formatting to
    make generating release announcements easier.
  * Build: require libcaja-extension 1.17.1 and GLib 2.36.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Some code cleanups.
- Extend caja-dropbox_no-dropbox-bin.patch to dependency check.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Fix Changelog generation.
- Rebase caja-dropbox_no-dropbox-bin.patch.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0:
  * Adjust the default caja extensions dir.
  * Include autogen.sh in tarball.
- Rename package to caja-extension-dropbox.
- Drop dropbox binary from package and rely on dropbox package.
- Add caja-dropbox_no-dropbox-bin.patch.
* Mon Oct 12 2015 ronisbr@gmail.com
- Initial version.
